summaryrefslogtreecommitdiffstats
path: root/scripts/libptxdist.sh
diff options
context:
space:
mode:
authorMichael Olbrich <m.olbrich@pengutronix.de>2014-06-27 23:13:03 +0200
committerMichael Olbrich <m.olbrich@pengutronix.de>2014-06-30 19:47:25 +0200
commit340ed9a9cac3d5e387bb660e27624dbd6105c0ba (patch)
treeb2b7b14a642be9c470a6850ac6808bb7c277826d /scripts/libptxdist.sh
parent531250e09366bff3b447cd94d0a4a7e615265a6d (diff)
downloadptxdist-340ed9a9cac3d5e387bb660e27624dbd6105c0ba.tar.gz
ptxdist-340ed9a9cac3d5e387bb660e27624dbd6105c0ba.tar.xz
ptxd_lib_kgen: optimize
The generated Kconfig files for the sections don't change during on ptxdist run. There is no need to generate those more than once. Signed-off-by: Michael Olbrich <m.olbrich@pengutronix.de>
Diffstat (limited to 'scripts/libptxdist.sh')
-rw-r--r--scripts/libptxdist.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/scripts/libptxdist.sh b/scripts/libptxdist.sh
index 2b004c79d..5a5958caa 100644
--- a/scripts/libptxdist.sh
+++ b/scripts/libptxdist.sh
@@ -258,7 +258,7 @@ ptxd_kconfig() {
ln -sf "${PTXDIST_TOPDIR}/config" &&
ln -sf "${PTXDIST_TOPDIR}/platforms" &&
ln -sf "${PTXDIST_WORKSPACE}" workspace &&
- ln -sf "${PTX_KGEN_DIR}/${part}" generated || return
+ ln -sf "${PTX_KGEN_DIR}/generated" || return
if [ -e "${file_dotconfig}" ]; then
cp -- "${file_dotconfig}" ".config" || return